<?php
/**
* 商品追加タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShouhinAddTask extends DatabaseTask implements ITask
{
	public $shouhin_list;
	public $manufacturer_list;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{
		// Requestパラメータから登録する商品データを取得
		$item_code 			= $event->get( s('code') );
		$item_name 			= $event->get( s('name') );
		$price				= $event->get( s('price') );
		$manufacturer_id 	= $event->get( s('manufacturer') );

		// データをセット
		$dto = new DTO();
		$dto->item_code 		= $item_code;
		$dto->item_name 		= $item_name;
		$dto->price 			= $price;
		$dto->manufacturer_id	= $manufacturer_id;

		// DB保存
		$this->save( s('shouhin'), $dto, s('PHP_TO_DB') );

		return b(TRUE);
	}

}
